
QGIS Application - Bug report #10641

python error in modules that allow multiple input vector selection

2014-06-19 07:28 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19044

Description

example r.drain

tested on latest master

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 219, in accept

    self.setParamValues()

  File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 147, in setParamValues

    self.paramTable.valueItems[param.name]):

  File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 203, in setParamValue

    return param.setValue([options[i] for i in widget.selectedoptions])

  File "/usr/share/qgis/python/plugins/processing/parameters/ParameterMultipleInput.py", line 74, in setValue

    s += self.getAsString(layer)

  File "/usr/share/qgis/python/plugins/processing/parameters/ParameterMultipleInput.py", line 152, in getAsString

    layers = dataobjects.getVectorLayers(self.datatype)

  File "/usr/share/qgis/python/plugins/processing/tools/dataobjects.py", line 81, in getVectorLayers

    if shapetype == ALL_TYPES or layer.geometryType() in shapetype:

TypeError: argument of type 'float' is not iterable

Associated revisions

Revision 2e858c43 - 2014-06-20 11:18 PM - Victor Olaya

[processing] fixes #10641

History

#1 - 2014-06-19 07:42 AM - Giovanni Manghi

- Subject changed from pyhton error in modules that allow multiple input vector selection to python error in modules that allow multiple input vector 

selection

#2 - 2014-06-20 06:12 AM - Giovanni Manghi

- Target version set to Version 2.4

#3 - 2014-06-20 02:19 PM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"2e858c439c09eaa6c0fe38498d5b87dce8a04077".
#4 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

2024-04-24 2/2


